{% extends "base.html" %}
{% load static %}

{% block css_files %}
<link rel = "stylesheet" href = "{% static "challenges/challenges.css" %}">
<link rel = "stylesheet" href = "{% static "challenges/includes/header.css" %}">
{% endblock %}

{% block page_title%}
    All challenges
{% endblock %}

{% block content %}
    {% include "challenges/includes/header.html" %}

    <ul>
        {% for month in months %}   <!-- months is the name we give in views.py in def index-->
            <li><a href="{% url "month-challenge" month=month %}">{{ month|title }}</a></li>    
            <!-- First month before = is str:month in challenges/urls.py. And month after = is the month in for loop-->
        {% endfor %}
    </ul>
{% endblock %}

<--! aaa -->